<?php

use App\Http\Controllers\Goods\GoodsSkusController;
use App\Http\Controllers\Goods\GoodsController;
use App\Http\Controllers\Shop\ShopsController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    header('Location: ' . url()->current() . "/dist");
});

Route::get('goods_skus/export', [GoodsSkusController::class, 'export'])->name('goods_skus.export')->middleware('check.permissions');

Route::get('goods/import/template', [GoodsController::class, 'download'])->name('download.goods_import.template');

Route::get('callback', [ShopsController::class, 'authBind'])->name('shop.auth_bind.callback');
